package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.EmmcBurner;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.serial.workers.EmmcPartitionBurnerWorker;
import com.vendor.burn.utilitily.ToolUtils;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    if (fastbootMonitor != null)
      fastbootMonitor.begin(); 
    try {
      boolean partBurn = worker.burn(monitor, ToolUtils.removeNoEarsePart(EmmcBurner.this.children));
      event.setSuccess(partBurn);
    } catch (Throwable e) {
      monitor.setCanceled(true);
      String messages = e.getMessage();
      if (fastbootMonitor != null && fastbootMonitor.getEvent() != null)
        if ("Java heap space".equalsIgnoreCase(messages)) {
          fastbootMonitor.getEvent().setMessage(Messages.MESSAGE_JAVAHEASPACE_ERROR);
        } else {
          fastbootMonitor.getEvent().setMessage(e.getMessage());
        }  
      return Status.CANCEL_STATUS;
    } finally {
      worker.close();
    } 
    return Status.OK_STATUS;
  }
}
